Bug 57680 - Kernel build with Athlon config fails with undefined references
Kernel build with Athlon config fails with undefined references
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2001-12-18 15:48 EST by P. Beltrani
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-12-19 11:25:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
output from "make bzImage" (129.75 KB, text/plain)
2001-12-18 15:48 EST, P. Beltrani
no flags Details

  None (edit)
Description P. Beltrani 2001-12-18 15:48:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.6) Gecko/20011120

Description of problem:
Attempts to build from kernel-source-2.4.9-13.i386.rpm using the supplied
config file: configs/kernel-2.4.9-athlon.config fail with multiple
undefined references
e.g.:create_bounce, kmap_high, kunmap_high, mmx_clear_page, mmx_copy_page,
_mmx_memcpy, noathlon, pkmap_page_table, rwsem_down_read_failed,
rwsem_down_write_failed, rwsem_wake are ALL undefined as far as the build
process is concerned

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. cd /usr/src/
2. rpm -e kernel-source
3. rm -rf /usr/src/linux-2.4.9-13
4. rpm -ivh kernel-source-2.4.9-13.i386.rpm
5. cd /usr/src/linux-2.4
6. cp configs/kernel-2.4.9-athlon.config .config
7. make dep
8. make bzImage

Actual Results:  Kernel fails to build with errors such as:
arch/i386/kernel/kernel.o(.text+0x111): undefined reference to `_mmx_memcpy'

See the attached file for a full listing of the output from "make bzImage"

Expected Results:  Expected a nice bzImage of the kernel for an athlon

Additional info:
Comment 1 P. Beltrani 2001-12-18 15:48:52 EST
Created attachment 40967 [details]
output from "make bzImage"
Comment 2 Arjan van de Ven 2001-12-18 15:54:20 EST
Looks like you missed 'make oldconfig' to actually activate the changes to
.config (and technically you also need to run 'make mrproper' very first)

Note that if you don't change the .config, we also ship binaries compiled with
Comment 3 P. Beltrani 2001-12-19 11:24:59 EST
Thanks for the follow up.

There is nothing more pleasant than making an error in public. 'make oldconfig'
resolved the build problem. The status can be changed to "not a bug".

Re: the binaries compiled with configs/kernel-2.4.9-athlon.config
I assume this config was used to create: kernel-2.4.9-13.athlon.rpm

My main asus/athlon system is so unstable using this package that is unusable
for any real work. (It regularly dies with:  Unable to handle kernel paging
request at virtual address ...)  That's what prompted me start working with
compiling my own.
Comment 4 Arjan van de Ven 2001-12-19 13:17:27 EST
The following might be worth a shot:

it has at least one workaround for a bug in some athlon bioses....

Note You need to log in before you can comment on or make changes to this bug.